### Method

# Ide SymbolResolver find_nearest_scope_finish

#### Declaration

    IdeSymbol*
    ide_symbol_resolver_find_nearest_scope_finish (
      IdeSymbolResolver* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

This function completes an asynchronous operation to locate the containing scope for a given source location.

See `ide_symbol_resolver_find_nearest_scope_async()` for more information.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeSymbol`
| An `IdeSymbol` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.